Subject: Re: [ANNOUNCE]: First release of nftables

From: Patrick McHardy <[email-masked]>
Date: Wed, 18 Mar 2009 11:17:01 +0100

Varun Chandramohan wrote:
> Patrick McHardy wrote:
>> Andi Kleen wrote:
>>> Are there plans to implement the existing iptables/ipchains/ipfw user
>>> interfaces on top of nftables?
>>>       
>>
>> I've thought about a "skin" in userspace to parse the iptables syntax
>> and convert it to the new syntax. But the kernel won't have a
>> compatibility
>> interface and I'm not sure yet whether userspace will also be able to
>> output
>> iptables syntax. ipchains etc. definitely not.
>>
>>   
> So, in that case if you are not going to provide a "skin" and that
> iptables will be removed eventually. wouldnt it break applications
> using iptables?
> Sorry for such a basic question, but just curious.

Something will have to be done for compatibility, the skin is
probably the easiest way. Compatibility on the kernel side would
get incredibly ugly, I prefer something in userspace with a longer
transition period.

But all of this is still quite some time away :)